JQueryRendererBase (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.JQueryRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class JQueryRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.JQueryRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  JQueryRenderer

    public class JQueryRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`JQueryRendererBase()`

Method Summary
`protected void` | `checkValidity(java.lang.String clientId, java.lang.String name, java.lang.String timing, java.lang.String query)`
`java.lang.String` | `escapeJavaScript(java.lang.Object o)`
`protected java.lang.Class` | `getComponentClass()`
`protected java.lang.String` | `replaceClientIds(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String selector)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JQueryRendererBase

    public JQueryRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### checkValidity

    protected void checkValidity(java.lang.String clientId,
                                 java.lang.String name,
                                 java.lang.String timing,
                                 java.lang.String query)

### replaceClientIds

    protected java.lang.String replaceClientIds(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component,
                                                java.lang.String selector)

### escapeJavaScript

    public java.lang.String escapeJavaScript(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.